clang 10.0.0git

Namespaces | Functions
CheckerRegistration.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/Basic/LLVM.h"`
`#include <functional>`
`#include <memory>`
`#include <string>`
Include dependency graph for CheckerRegistration.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Functions
std::unique_ptr< CheckerManager > | clang::ento::createCheckerManager (ASTContext &context, AnalyzerOptions &opts, ArrayRef< std::string > plugins, ArrayRef< std::function< void(CheckerRegistry &)>> checkerRegistrationFns, DiagnosticsEngine &diags)